Skip to main content
GET
/
skus
/
{id}
Get SKU by ID
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/skus/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "product_id": "<string>",
    "sku": "<string>",
    "color": "<string>",
    "filament_type": "<string>",
    "hex_code": "<string>",
    "quantity": 123,
    "stock_level": 123,
    "low_stock_threshold": 123,
    "is_active": true,
    "is_composite": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "available_to_build": 123,
    "effective_status": "<string>",
    "finished_goods_stock": 123
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Response

SKU detail

success
enum<boolean>
required
Available options:
true
data
object
required